!*** MODULE $OPCDEF ***
        PARAMETER OPC$_RQ_TERME = '00000001'X   !  ENABLE TERMINAL
        PARAMETER OPC$_RQ_LOGI = '00000002'X    !  INITIALIZE THE LOG
        PARAMETER OPC$_RQ_RQST = '00000003'X    !  OPERATOR REQUEST
        PARAMETER OPC$_RQ_REPLY = '00000004'X   !  OPERATOR REPLY
        PARAMETER OPC$_RQ_CANCEL = '00000005'X  !  CANCEL REQUEST
        PARAMETER OPC$_RQ_STATUS = '00000006'X  !  REQUEST OPERATOR STATUS
        PARAMETER OPC$_RQ_SECURITY = '00000007'X !  MESSAGE TO SECURITY OPERATOR
        PARAMETER OPC$_RQ_LICENSE = '00000008'X !  MESSAGE TO LICENSE OPERATOR

        parameter opc$_x_oprenable = '0000000a'X ! Operator Enable
        parameter opc$_x_logfile   = '0000000b'X ! (re)initialize log file
        parameter opc$_x_request   = '0000000c'X ! Operator request
        parameter opc$_x_reply     = '0000000d'X ! Operator reply
        parameter opc$_x_cancel    = '0000000e'X ! Cancel request
        parameter opc$_x_status    = '0000000f'X ! Request Operator Status
        parameter opc$_x_shutdown  = '00000010'X ! Shutdown request
        parameter opc$_x_timestamp = '00000011'X ! Time Stamp into log file
        parameter opc$_x_security  = '00000012'X ! Message to security operator
        parameter opc$_x_clusmsg   = '00000013'X ! Cluster communications msgs
        parameter opc$_x_debug     = '00000014'X ! Debug messages
        parameter opc$_x_cnxman    = '00000015'X ! Connection Manager messages

        parameter opc$k_system     = '00000001'X ! System scope
        parameter opc$k_group      = '00000002'X ! Group  scope
        parameter opc$k_user       = '00000003'X ! User   scope
        parameter opc$k_unspec     = '00000004'X ! Unspecified scope

        parameter opc$c_system     = '00000001'X ! System scope
        parameter opc$c_group      = '00000002'X ! Group  scope
        parameter opc$c_user       = '00000003'X ! User   scope
        parameter opc$c_unspec     = '00000004'X ! Unspecified scope

        PARAMETER OPC$M_NM_CENTRL = '00000001'X
        PARAMETER OPC$M_NM_PRINT = '00000002'X
        PARAMETER OPC$M_NM_TAPES = '00000004'X
        PARAMETER OPC$M_NM_DISKS = '00000008'X
        PARAMETER OPC$M_NM_DEVICE = '00000010'X
        PARAMETER OPC$M_NM_CARDS = '00000020'X
        PARAMETER OPC$M_NM_NTWORK = '00000040'X
        PARAMETER OPC$M_NM_CLUSTER = '00000080'X
        PARAMETER OPC$M_NM_SECURITY = '00000100'X
        PARAMETER OPC$M_NM_REPLY = '00000200'X
        PARAMETER OPC$M_NM_SOFTWARE = '00000400'X
        PARAMETER OPC$M_NM_LICENSE = '00000800'X
        PARAMETER OPC$M_NM_OPER1 = '00001000'X
        PARAMETER OPC$M_NM_OPER2 = '00002000'X
        PARAMETER OPC$M_NM_OPER3 = '00004000'X
        PARAMETER OPC$M_NM_OPER4 = '00008000'X
        PARAMETER OPC$M_NM_OPER5 = '00010000'X
        PARAMETER OPC$M_NM_OPER6 = '00020000'X
        PARAMETER OPC$M_NM_OPER7 = '00040000'X
        PARAMETER OPC$M_NM_OPER8 = '00080000'X
        PARAMETER OPC$M_NM_OPER9 = '00100000'X
        PARAMETER OPC$M_NM_OPER10 = '00200000'X
        PARAMETER OPC$M_NM_OPER11 = '00400000'X
        PARAMETER OPC$M_NM_OPER12 = '00800000'X
        STRUCTURE /OPCDEF/
            BYTE      OPC$B_MS_TYPE                     !  MESSAGE TYPE
            UNION
                MAP
                BYTE      OPC$B_MS_TARGET               !  MESSAGE TARGET
                END MAP
                MAP
                BYTE      OPC$B_MS_ENAB                 !  MESSAGE ENABLES
                END MAP
            END UNION
            INTEGER*2 OPC$W_MS_STATUS           !  MESSAGE STATUS
            UNION
                MAP
                INTEGER*4 OPC$L_MS_RPLYID               !  REPLY ID
                END MAP
                MAP
                UNION
                    MAP
                    INTEGER*4 OPC$L_MS_MASK                     !  MESSAGE MASK
                    END MAP
                    MAP
                    INTEGER*4 OPC$L_MS_RQSTID           !  REQUEST ID
                    END MAP
                END UNION
                END MAP
            END UNION
            UNION
                MAP
                INTEGER*4 OPC$L_MS_TEXT                 !  MESSAGE TEXT
                END MAP
                MAP
                    INTEGER*2 OPC$W_MS_OUNIT            !  OPERATOR UNIT NUMBER
                    CHARACTER*1 OPC$T_MS_ONAME          !  OPERATOR NAME
                END MAP
            END UNION
            INTEGER*2 %FILL(1:7)                        !  SPACE FOR NAME
            INTEGER*4 OPC$L_MS_OTEXT(1:32)              !  OPERATOR TEXT
            UNION
                MAP
                INTEGER*4 OPC$L_MS_MAXSZ                !  MESSAGE MAX SIZE
                END MAP
!  OPERATOR MESSAGE TYPES
                MAP
                    PARAMETER OPC$S_NM_CENTRL = 1
                    PARAMETER OPC$V_NM_CENTRL = 0               !
                    PARAMETER OPC$S_NM_PRINT = 1
                    PARAMETER OPC$V_NM_PRINT = 1
                    PARAMETER OPC$S_NM_TAPES = 1
                    PARAMETER OPC$V_NM_TAPES = 2
                    PARAMETER OPC$S_NM_DISKS = 1
                    PARAMETER OPC$V_NM_DISKS = 3
                    PARAMETER OPC$S_NM_DEVICE = 1
                    PARAMETER OPC$V_NM_DEVICE = 4
                    PARAMETER OPC$S_NM_CARDS = 1
                    PARAMETER OPC$V_NM_CARDS = 5
                    PARAMETER OPC$S_NM_NTWORK = 1
                    PARAMETER OPC$V_NM_NTWORK = 6
                    PARAMETER OPC$S_NM_CLUSTER = 1
                    PARAMETER OPC$V_NM_CLUSTER = 7
                    PARAMETER OPC$S_NM_SECURITY = 1
                    PARAMETER OPC$V_NM_SECURITY = 8
                    PARAMETER OPC$S_NM_REPLY = 1
                    PARAMETER OPC$V_NM_REPLY = 9
                    PARAMETER OPC$S_NM_SOFTWARE = 1
                    PARAMETER OPC$V_NM_SOFTWARE = 10
                    PARAMETER OPC$S_NM_LICENSE = 1
                    PARAMETER OPC$V_NM_LICENSE = 11
                    PARAMETER OPC$S_NM_OPER1 = 1
                    PARAMETER OPC$V_NM_OPER1 = 12
                    PARAMETER OPC$S_NM_OPER2 = 1
                    PARAMETER OPC$V_NM_OPER2 = 13
                    PARAMETER OPC$S_NM_OPER3 = 1
                    PARAMETER OPC$V_NM_OPER3 = 14
                    PARAMETER OPC$S_NM_OPER4 = 1
                    PARAMETER OPC$V_NM_OPER4 = 15
                    PARAMETER OPC$S_NM_OPER5 = 1
                    PARAMETER OPC$V_NM_OPER5 = 16
                    PARAMETER OPC$S_NM_OPER6 = 1
                    PARAMETER OPC$V_NM_OPER6 = 17
                    PARAMETER OPC$S_NM_OPER7 = 1
                    PARAMETER OPC$V_NM_OPER7 = 18
                    PARAMETER OPC$S_NM_OPER8 = 1
                    PARAMETER OPC$V_NM_OPER8 = 19
                    PARAMETER OPC$S_NM_OPER9 = 1
                    PARAMETER OPC$V_NM_OPER9 = 20
                    PARAMETER OPC$S_NM_OPER10 = 1
                    PARAMETER OPC$V_NM_OPER10 = 21
                    PARAMETER OPC$S_NM_OPER11 = 1
                    PARAMETER OPC$V_NM_OPER11 = 22
                    PARAMETER OPC$S_NM_OPER12 = 1
                    PARAMETER OPC$V_NM_OPER12 = 23
                    BYTE %FILL (3)
                END MAP
            END UNION
        END STRUCTURE   ! OPCDEF
